net.sf.statsvn.util

## Class SvnVersionMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.sf.statsvn.util.SvnVersionMismatchException

- All Implemented Interfaces:
    java.io.Serializable

      public class SvnVersionMismatchException
      extends java.lang.Exception

  Indicates that an invalid version of the `svn` executable was found. This exception can be thrown by explicit checking of the `svn` binary's version, or by checking for (and failing to find) a repository root in `svn info`'s output (a 1.3 feature).
  Version:
    $Id: SvnVersionMismatchException.java 351 2008-03-28 18:46:26Z benoitx $
  Author:
    Jean-Philippe Daigle
  See Also:
    `SvnStartupUtils`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnVersionMismatchException()`
    `SvnVersionMismatchException(java.lang.String m)`
    `SvnVersionMismatchException(java.lang.String found, java.lang.String required)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnVersionMismatchException

          public SvnVersionMismatchException()

    - #### SvnVersionMismatchException

          public SvnVersionMismatchException(java.lang.String m)

    - #### SvnVersionMismatchException

          public SvnVersionMismatchException(java.lang.String found,
                                     java.lang.String required)